Bug 122857 - XScreensaver crashes X (completely frozen)
XScreensaver crashes X (completely frozen)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
rawhide
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-09 08:42 EDT by Dave Christian
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-14 21:33:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Christian 2004-05-09 08:42:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
Having installed Fedora 2 Test3 with the default settings for my 
graphics card (Intel 830) - the same settings that worked fine with 
FC1 - I ran the screensaver component from prefrences and when I 
clicked on anything beginning with GL, X freezes completely. These 
screensavers worked fine when I was using FC1

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Open screensaver from prefs menu
2.Click on anything GL (eg - GLMatrix)
3.
    

Actual Results:  The screen freezes, the preview window of the 
screensaver stays blank and both mouse and keyboard remain locked up. 
I have to reset my laptop every time.

Expected Results:  The preview window should show a miniturised 
version of the screensaver running

Additional info:

My laptop is a Toshiba Satellite 1100 with Intel 830 32MB(shared) and 
512 of Memory.
Comment 1 Paul Black 2004-05-18 09:16:17 EDT
This sounds like a kernel issue that was fixed in 2.6.5-1.350.
Comment 2 Kristian Høgsberg 2004-09-14 21:33:39 EDT
Yes, indeed, this is now fixed in rawhide.

Note You need to log in before you can comment on or make changes to this bug.